org.eclipse.ease.debugging

## Interface IScriptDebugFrame

All Known Implementing Classes:
  EaseDebugFrame, PythonDebugger.PythonDebugFrame, RhinoDebugger.RhinoDebugFrame

    public interface IScriptDebugFrame

### Field Summary

Fields
`static int` `TYPE_FILE`
`static int` `TYPE_FUNCTION`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLineNumber()`
`java.lang.String` `getName()`
`Script` `getScript()`
`int` `getType()`
`java.lang.Object` `inject(java.lang.String expression)`
`void` `setLineNumber(int lineNumber)`
`void` `setVariable(java.lang.String name, java.lang.Object content)`

### Field Detail

#### TYPE_FILE

    static final int TYPE_FILE

See Also:
  Constant Field Values

#### TYPE_FUNCTION

    static final int TYPE_FUNCTION

See Also:
  Constant Field Values

### Method Detail

#### getLineNumber

    int getLineNumber()

#### getScript

    Script getScript()

#### getType

    int getType()

#### getName

    java.lang.String getName()

#### setLineNumber

    void setLineNumber(int lineNumber)

#### setVariable

    void setVariable(java.lang.String name,
                     java.lang.Object content)

#### inject

    java.lang.Object inject(java.lang.String expression)
                     throws java.lang.Throwable

Throws:
  `java.lang.Throwable`